/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from kbibiface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __KBIBIFACE_STUB__
#define __KBIBIFACE_STUB__

#include <dcopstub.h>
#include <qstring.h>
#include <dcopobject.h>


class KBibIface_stub : virtual public DCOPStub
{
public:
    KBibIface_stub( const QCString& app, const QCString& id );
    KBibIface_stub( DCOPClient* client, const QCString& app, const QCString& id );
    explicit KBibIface_stub( const DCOPRef& ref );
    virtual int insertFile( QString url, int fileType, bool notInsertExisting );
    virtual QString cite();
    virtual void setActive();
protected:
    KBibIface_stub() : DCOPStub( never_use ) {}
};


#endif
